Package org.bukkit.generator.structure

# Class Structure

java.lang.Object
org.bukkit.generator.structure.Structure

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`

public abstract class Structure extends Object implements Keyed
Represent a Structure from the world. Listed structures are present in the default server. Depending on the server there might be additional structures present (for example structures added by data packs), which can be received via `Registry.STRUCTURE`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Structure`
`ANCIENT_CITY`
`static final Structure`
`BASTION_REMNANT`
`static final Structure`
`BURIED_TREASURE`
`static final Structure`
`DESERT_PYRAMID`
`static final Structure`
`END_CITY`
`static final Structure`
`FORTRESS`
`static final Structure`
`IGLOO`
`static final Structure`
`JUNGLE_PYRAMID`
`static final Structure`
`MANSION`
`static final Structure`
`MINESHAFT`
`static final Structure`
`MINESHAFT_MESA`
`static final Structure`
`MONUMENT`
`static final Structure`
`NETHER_FOSSIL`
`static final Structure`
`OCEAN_RUIN_COLD`
`static final Structure`
`OCEAN_RUIN_WARM`
`static final Structure`
`PILLAGER_OUTPOST`
`static final Structure`
`RUINED_PORTAL`
`static final Structure`
`RUINED_PORTAL_DESERT`
`static final Structure`
`RUINED_PORTAL_JUNGLE`
`static final Structure`
`RUINED_PORTAL_MOUNTAIN`
`static final Structure`
`RUINED_PORTAL_NETHER`
`static final Structure`
`RUINED_PORTAL_OCEAN`
`static final Structure`
`RUINED_PORTAL_SWAMP`
`static final Structure`
`SHIPWRECK`
`static final Structure`
`SHIPWRECK_BEACHED`
`static final Structure`
`STRONGHOLD`
`static final Structure`
`SWAMP_HUT`
`static final Structure`
`VILLAGE_DESERT`
`static final Structure`
`VILLAGE_PLAINS`
`static final Structure`
`VILLAGE_SAVANNA`
`static final Structure`
`VILLAGE_SNOWY`
`static final Structure`
`VILLAGE_TAIGA`

## Constructor Summary

Constructors
Constructor
Description
`Structure()`

## Method Summary

Modifier and Type
Method
Description
`abstract @NotNull StructureType`
`getStructureType()`
Returns the type of the structure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`getKey, key`

## Field Details

### PILLAGER_OUTPOST

public static final Structure PILLAGER_OUTPOST

### MINESHAFT

public static final Structure MINESHAFT

### MINESHAFT_MESA

public static final Structure MINESHAFT_MESA

### MANSION

public static final Structure MANSION

### JUNGLE_PYRAMID

public static final Structure JUNGLE_PYRAMID

### DESERT_PYRAMID

public static final Structure DESERT_PYRAMID

### IGLOO

public static final Structure IGLOO

### SHIPWRECK

public static final Structure SHIPWRECK

### SHIPWRECK_BEACHED

public static final Structure SHIPWRECK_BEACHED

### SWAMP_HUT

public static final Structure SWAMP_HUT

### STRONGHOLD

public static final Structure STRONGHOLD

### MONUMENT

public static final Structure MONUMENT

### OCEAN_RUIN_COLD

public static final Structure OCEAN_RUIN_COLD

### OCEAN_RUIN_WARM

public static final Structure OCEAN_RUIN_WARM

### FORTRESS

public static final Structure FORTRESS

### NETHER_FOSSIL

public static final Structure NETHER_FOSSIL

### END_CITY

public static final Structure END_CITY

### BURIED_TREASURE

public static final Structure BURIED_TREASURE

### BASTION_REMNANT

public static final Structure BASTION_REMNANT

### VILLAGE_PLAINS

public static final Structure VILLAGE_PLAINS

### VILLAGE_DESERT

public static final Structure VILLAGE_DESERT

### VILLAGE_SAVANNA

public static final Structure VILLAGE_SAVANNA

### VILLAGE_SNOWY

public static final Structure VILLAGE_SNOWY

### VILLAGE_TAIGA

public static final Structure VILLAGE_TAIGA

### RUINED_PORTAL

public static final Structure RUINED_PORTAL

### RUINED_PORTAL_DESERT

public static final Structure RUINED_PORTAL_DESERT

### RUINED_PORTAL_JUNGLE

public static final Structure RUINED_PORTAL_JUNGLE

### RUINED_PORTAL_SWAMP

public static final Structure RUINED_PORTAL_SWAMP

### RUINED_PORTAL_MOUNTAIN

public static final Structure RUINED_PORTAL_MOUNTAIN

### RUINED_PORTAL_OCEAN

public static final Structure RUINED_PORTAL_OCEAN

### RUINED_PORTAL_NETHER

public static final Structure RUINED_PORTAL_NETHER

### ANCIENT_CITY

public static final Structure ANCIENT_CITY

## Constructor Details

### Structure

public Structure()

## Method Details

### getStructureType

@NotNull public abstract @NotNull StructureType getStructureType()
Returns the type of the structure.

Returns:
  the type of structure